2010-06-14  Mike Massonnet <mmassonnet@xfce.org>

	=== Release 1.0.0 ===


2010-06-13  Mike Massonnet <mmassonnet@xfce.org>

	Fix SIGBUS on Debian x86_64 (original patch from Jérôme Guelfucci)

	Something strange happened when doing a comparison between a guint type
	and sizeof(), turning it back to gint fixes the issue. Fix other
	compiler warnings at the same time.

2010-06-13  Mike Massonnet <mmassonnet@xfce.org>

	Don't make redundant messages for translators


2010-06-13  Mike Massonnet <mmassonnet@xfce.org>

	Update POTFILES


2010-06-13  Mike Massonnet <mmassonnet@xfce.org>

	Remove the 250ms refresh rate

	At this refresh rate the application occupies too many CPU cycles and
	this is totally beside the point.

2010-06-13  Mike Massonnet <mmassonnet@xfce.org>

	Always paint the last monitor peak

	Round the minimum history length and always paint the last peak even if
	it doesn't fit entirely. This change was needed because visible with
	some refresh rates.

2010-06-13  Mike Massonnet <mmassonnet@xfce.org>

	Replace progress bars with monitors


2010-06-10  Ivica  Kolić <ikoli@yahoo.com>

	l10n: Updates to Croatian (hr) translation

	New status: 51 messages complete with 0 fuzzies and 7 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-06-10  Mike Massonnet <mmassonnet@xfce.org>

	Display tree view context menu on Menu key press


2010-06-10  Mike Massonnet <mmassonnet@xfce.org>

	Add right click menu on status icon with a Quit item


2010-06-10  Mike Massonnet <mmassonnet@xfce.org>

	Hide window on window close when the status icon is visible


2010-06-10  Ivica  Kolić <ikoli@yahoo.com>

	l10n: Updates to Croatian (hr) translation

	New status: 51 messages complete with 0 fuzzies and 7 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-06-09  Johannes Lips <johannes.lips@googlemail.com>

	l10n: Updated German (de) translation to 44%

	New status: 26 messages complete with 26 fuzzies and 6 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-06-09  Mike Massonnet <mmassonnet@xfce.org>

	Fix compiler warnings from Solaris implementation


2010-06-08  Mike Massonnet <mmassonnet@xfce.org>

	[linux] Fix compiler warnings from Linux implementation


2010-06-06  Mike Massonnet <mmassonnet@xfce.org>

	Fix compiler warnings (original patches from Enrico Tröger)

	Add missing include for geteuid() missing declaration
	xtm_process_window_show_swap_usage() in process-window.
	Fix various compiler warnings from main.c task-manager.c and
	app-manager.c.

2010-06-08  Mike Massonnet <mmassonnet@xfce.org>

	[linux] Fix 64-bit issue with scanf

	The fix is very trivial, all it takes is initializing values passed to
	scanf to zero. In fact format conversions inside scanf/printf may fail
	otherwise.

2010-06-04  Mike Massonnet <mmassonnet@xfce.org>

	Update README with optional dependency on libwnck


2010-06-04  Mike Massonnet <mmassonnet@xfce.org>

	Display window icons/names

	Add optional link on libwnck (default=yes) and build a new object from
	app-manager.c to keep an up to date list of applications with their name
	and icon. Use it inside the task manager object to display inside the
	tree view.

2010-06-04  Abel Martín <abel.martin.ruiz@gmail.com>

	l10n: Updated Spanish (Castilian) (es) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-06-03  Mike Massonnet <mmassonnet@xfce.org>

	Fix g_snprintf call for task name

	Don't pass task name as format, instead call g_snprintf safely with "%s"
	and pass the task name as an argument.

2010-06-03  Nuno Miguel <nunis@netcabo.pt>

	l10n: Updated Portuguese (pt) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-06-02  Mike Massonnet <mmassonnet@xfce.org>

	Update status icon tooltip only if visible


2010-06-02  Mike Massonnet <mmassonnet@xfce.org>

	Update command line when needed


2010-06-02  Mike Massonnet <mmassonnet@xfce.org>

	Sort on first click in descending order


2010-06-02  Mike Massonnet <mmassonnet@xfce.org>

	On window hide do a normal check on the window


2010-06-02  Mike Massonnet <mmassonnet@xfce.org>

	Center dialogs on mouse cursor


2010-06-02  Mike Massonnet <mmassonnet@xfce.org>

	Avoid saving columns positions when closing application

	When the application was closed, the columns-changed signal was
	triggered everytime a tree view column was destroyed/removed from the
	tree view (think dispose), and this was bad since the columns positions
	may have been saved as a succession of zeros. Avoid this.

2010-06-02  Mike Massonnet <mmassonnet@xfce.org>

	Plug a dynamic leak

	A leak occured in the timer code, and thus the memory was growing over
	time. Cf. src/task-manager.c(model_update_tree_iter), the old_state
	variable was not free'd.

	Plugged other static leaks at the same time.

2010-06-01  Ivica  Kolić <ikoli@yahoo.com>

	l10n: Updates to Croatian (hr) translation

	New status: 51 messages complete with 0 fuzzies and 7 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-31  Ayhan YALÇINSOY <ayhanyalcinsoy@gmail.com>

	l10n: Updated Turkish (tr) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-31  Ivica  Kolić <ikoli@yahoo.com>

	l10n: Updated Croatian (hr) translation to 87%

	New status: 51 messages complete with 0 fuzzies and 7 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-30  Mike Massonnet <mmassonnet@xfce.org>

	Set localized name of application


2010-05-30  Mike Massonnet <mmassonnet@xfce.org>

	Replace image against radio menu items in the refresh rate menu

	The stock items right-arrow are not always available (sad truth),
	therefore be smart and use a radio menu item that will always be
	displayed.

2010-05-30  Johannes Lips <johannes.lips@googlemail.com>

	l10n: Updated German (de) translation to 44%

	New status: 26 messages complete with 24 fuzzies and 8 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-29  Mike Massonnet <mmassonnet@xfce.org>

	Fix cformat parameters for status icon


2010-05-28  Mike Massonnet <mmassonnet@xfce.org>

	bump post release


2010-05-28  Mike Massonnet <mmassonnet@xfce.org>

	=== Release 0.5.92 (1.0.0 beta3) ===


2010-05-28  Mike Massonnet <mmassonnet@xfce.org>

	Replace carriage returns against spaces in commands


2010-05-28  Dmitry Nikitin <luckas_fb@mail.ru>

	l10n: Updated Ukrainian (uk) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-28  Dmitry Nikitin <luckas_fb@mail.ru>

	l10n: Updated Ukrainian (uk) translation to 86%

	New status: 50 messages complete with 8 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-28  Mike Massonnet <mmassonnet@xfce.org>

	Show tasks with changed status with a yellow background


2010-05-27  Mike Massonnet <mmassonnet@xfce.org>

	Get the tree view columns reorderable

	The tree view columns can be reordered, the state will be saved in the
	configuration and reloaded at next start.

2010-05-27  Gheyret Kenji <gheyret@yahoo.com>

	l10n: Updated Uyghur (ug) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-27  Gheyret Kenji <gheyret@yahoo.com>

	l10n: Updated Uyghur (ug) translation to 100%

	New status: 45 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-27  Mike Massonnet <mmassonnet@xfce.org>

	Show terminated tasks with a red background


2010-05-26  Mike Massonnet <mmassonnet@xfce.org>

	Show started tasks with a green background


2010-05-26  Mike Massonnet <mmassonnet@xfce.org>

	Make SearchFunc for tree view case insensitive


2010-05-26  Mike Massonnet <mmassonnet@xfce.org>

	Use a personal SearchFunc for the tree view

	Use the function strstr to find matches inside the command line, and not
	only starting with. Browsing through matches can be done by typing the
	arrows down and up.

2010-05-26  Mike Massonnet <mmassonnet@xfce.org>

	Add words about adding support for a new OS

	Add a skel file (task-manager-skel.c) and make it possible in the
	build-env to build the task manager with this file (--with-skel).

2010-05-26  Mike Massonnet <mmassonnet@xfce.org>

	Update desktop entry file for applications menu

	Parsed with desktop-file-validate and fixed the reported warnings.

2010-05-25  Harald Servat <redcrash@gmail.com>

	l10n: Updated Catalan (Valencian) (ca) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-25  Mike Massonnet <mmassonnet@xfce.org>

	Surround the statusbar's hbox area with padding


2010-05-25  Mike Massonnet <mmassonnet@xfce.org>

	Tweak default settings

	Set default refresh rate to 750ms (makes updating snappier), don't show
	with full command lines and turn more precision off.

2010-05-25  Ivica  Kolić <ikoli@yahoo.com>

	l10n: Initial Croatian (hr) translation

	New status: 41 messages complete with 0 fuzzies and 17 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Mike Massonnet <mmassonnet@xfce.org>

	Reduce minimum width request of the (temporary) progress bars


2010-05-24  Mike Massonnet <mmassonnet@xfce.org>

	Display only installed programs in the “Execute” menu


2010-05-24  Mike Massonnet <mmassonnet@xfce.org>

	[linux|solaris] Fix regression introduced with the “Refresh rate” option

	The CPU usage computation done for the processes were broken when the
	refresh rate was different than a second. The introduced fix is only
	necessary for the Linux and OpenSolaris implementations.

2010-05-24  Sergio Marques <smarquespt@gmail.com>

	l10n: Updated Portuguese (pt) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Sergio Marques <smarquespt@gmail.com>

	l10n: Updated Portuguese (pt) translation to 87%

	New status: 51 messages complete with 7 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Per Kongstad <p_kongstad@op.pl>

	l10n: Updated Danish (da) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Johannes Lips <johannes.lips@googlemail.com>

	l10n: Updated German (de) translation to 44%

	New status: 26 messages complete with 22 fuzzies and 10 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Masato Hashimoto <cabezon.hashimoto@gmail.com>

	l10n: Updated Japanese (ja) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Gabor Kelemen <kelemeng@gnome.hu>

	l10n: Updated Hungarian (hu) translation to 98%

	New status: 57 messages complete with 0 fuzzies and 1 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Evaggelos Balaskas <ebalaskas@ebalaskas.gr>

	l10n: Updated Greek (el) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Jari Rahkonen <jari.rahkonen@pp1.inet.fi>

	l10n: Updated Finnish (fi) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Leandro Regueiro <leandro.regueiro@gmail.com>

	l10n: Updated Galician (gl) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Leandro Regueiro <leandro.regueiro@gmail.com>

	l10n: Updated Galician (gl) translation to 98%

	New status: 57 messages complete with 0 fuzzies and 1 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Besnik Bleta <besnik@programeshqip.org>

	l10n: Updated Albanian (sq) translation to 98%

	New status: 57 messages complete with 0 fuzzies and 1 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Bauzhan Muftakhidinov <baurthefirst@gmail.com>

	l10n: Updated Kazakh (kk) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Og Maciel <ogmaciel@gnome.org>

	l10n: Updated Portuguese (Brazilian) (pt_BR) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Aleksandr Ponomarenko <dwqwt3i02@sneakemail.com>

	l10n: Updated Russian (ru) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Xu Meihong <mhuntxu@gmail.com>

	l10n: Updated Chinese (China) (zh_CN) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Mike Massonnet <mmassonnet@gmail.com>

	l10n: Updated French (fr) translation to 100%

	New status: 58 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Mike Massonnet <mmassonnet@gmail.com>

	l10n: Updated French (fr) translation to 89%

	New status: 52 messages complete with 6 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-24  Mike Massonnet <mmassonnet@xfce.org>

	Drop foced debug output of initial tasks


2010-05-24  Mike Massonnet <mmassonnet@xfce.org>

	Show tooltip with system information on status icon


2010-05-24  Mike Massonnet <mmassonnet@xfce.org>

	Make status icon optional with the new setting “Show status icon”


2010-05-23  Mike Massonnet <mmassonnet@xfce.org>

	Hide inside the notification area


2010-05-23  Mike Massonnet <mmassonnet@xfce.org>

	Reorder signals on treeview right click

	Show Terminate after Stop and Kill.

2010-05-23  Mike Massonnet <mmassonnet@xfce.org>

	Hide Swap usage from statusbar when swap total equals zero


2010-05-23  Mike Massonnet <mmassonnet@xfce.org>

	Display a warning banner when running as root


2010-05-23  Mike Massonnet <mmassonnet@xfce.org>

	Implement option “Full command line”


2010-05-23  Mike Massonnet <mmassonnet@xfce.org>

	Implement option “More precision”


2010-05-22  Mike Massonnet <mmassonnet@xfce.org>

	Implement option “Refresh rate”


2010-05-22  Mike Massonnet <mmassonnet@xfce.org>

	New options “Refresh rate,” “More precision” and “Full command line"

	New options are in the GUI although they don't do anything yet.

2010-05-22  Mike Massonnet <mmassonnet@xfce.org>

	Update CAPSED files


2010-05-22  Mike Massonnet <mmassonnet@xfce.org>

	bump post release


2010-05-21  Mike Massonnet <mmassonnet@xfce.org>

	=== Release 0.5.91 (1.0.0 beta2) ===


2010-05-22  Mike Massonnet <mmassonnet@xfce.org>

	Credit people behind the different OS implementations


2010-05-21  Mike Massonnet <mmassonnet@xfce.org>

	Fix bug retrieving bad PID from treeview

	Use the model_filter to retrieve the correct selected path and therefore
	the right PID.

2010-05-21  Mike Massonnet <mmassonnet@xfce.org>

	Add header checks in autoconf script


2010-05-21  Mike Massonnet <mmassonnet@xfce.org>

	[linux|freebsd] Fix condition to calculate CPU usage


2010-05-21  Mike Massonnet <mmassonnet@xfce.org>

	Fix compiler warnings from --enable-debug=yes

	Fixed old-style function definitions, dropped unused variables, renamed
	signal to xtm_signal (it shadowed a previous global declaration from
	signal.h,) dropped the G_UN/LIKELY calls, missing includes and casted
	here and there.

	The task-manager-*.c files /would/ have to be individually fixed.

2010-05-21  Mike Massonnet <mmassonnet@xfce.org>

	[openbsd] Don't provide memory/swap values in KiB


2010-05-21  Mike Massonnet <mmassonnet@xfce.org>

	Add FreeBSD implementation

	Original code (task list) is from Oliver Lehmann and was licensed under
	FreeBSD (BSD 2-clause.)

2010-05-21  Gheyret Kenji <gheyret@yahoo.com>

	l10n: Uyghur Translation

	New status: 6 messages complete with 0 fuzzies and 39 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-21  Robert Hartl <hartl.robert@gmail.com>

	l10n: Slovak translation

	New status: 40 messages complete with 0 fuzzies and 5 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-20  Gabor Kelemen <kelemeng@gnome.hu>

	l10n: Updated Hungarian (hu) translation to 97%

	New status: 44 messages complete with 0 fuzzies and 1 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-17  Mike Massonnet <mmassonnet@xfce.org>

	Display Swap usage in Solaris implementation

	The Swap usage is retrieved through swapctl(). Also on a separate change, read
	the CPU time from the nanosecs instead of ticks for increased precision.

2010-05-16  Mike Massonnet <mmassonnet@xfce.org>

	Set GTK+ requirement on GtkBuilder file to 2.12


2010-05-16  Mike Massonnet <mmassonnet@xfce.org>

	Remove FreeBSD from the BSD family

	The task-manager-bsd.c code doesn't build from FreeBSD. After a look
	around FreeBSD retrieves system information through libkvm (Kernel Data
	Access Library.) Therefore a separate implementation for FreeBSD will be
	needed.

2010-05-16  Mike Massonnet <mmassonnet@xfce.org>

	Re-add Solaris implementation

	Solaris support is in again however the Swap usage is missing. Older
	files from the tree source have been removed.

2010-05-16  Landry Breuil <landry@rhaalovely.net>

	Merge branch 'master' of ssh://git.xfce.org/git/apps/xfce4-taskmanager

	Conflicts:
		src/task-manager-bsd.c

2010-05-16  Landry Breuil <landry@rhaalovely.net>

	Implement pid_is_sleeping() and fix send_signal_to_pid()


2010-05-16  Mike Massonnet <mmassonnet@xfce.org>

	Don't recount CPU count in Linux implementation


2010-05-16  Mike Massonnet <mmassonnet@xfce.org>

	Move POSIX code to task-manager.c

	The functions send_signal_to_pid() and set_priority_to_pid() are using
	POSIX functions and “should” be safe in task-manager.c. Still keep the
	enumeration as a bridge between virtual values and real values, there is
	no benefit removing them (wasting minutes) and it won't make the code
	look better (or worse).

	The functions have been removed from the Linux and BSD implementations.

2010-05-16  Dmitrij Smirnov <arch@cnc-parts.info>

	l10n: Updated Russian (ru) translation to 97%

	New status: 44 messages complete with 1 fuzzy and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-15  Gökmen Görgen <gkmngrgn@gmail.com>

	l10n: Updated Turkish (tr) translation to 100%

	New status: 45 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-15  Johannes Lips <johannes.lips@googlemail.com>

	l10n: Updated German (de) translation to 44%

	New status: 20 messages complete with 20 fuzzies and 5 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-15  Johannes Lips <johannes.lips@googlemail.com>

	l10n: Updated German (de) translation to 44%

	New status: 20 messages complete with 21 fuzzies and 4 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-14  Sergio Marques <smarquespt@gmail.com>

	l10n: Updated Portuguese (pt) translation to 100%

	New status: 45 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-14  Sergio Marques <smarquespt@gmail.com>

	l10n: Updated Portuguese (pt) translation to 97%

	New status: 44 messages complete with 1 fuzzy and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-13  Landry Breuil <landry@rhaalovely.net>

	Set Task name from p_comm field, and cmdline from KERN_PROC_ARGV


2010-05-13  Landry Breuil <landry@rhaalovely.net>

	correctly implement set_priority/send_signal_to_pid()


2010-05-13  Landry Breuil <landry@rhaalovely.net>

	Implement fetching of swap stats


2010-05-13  Landry Breuil <landry@rhaalovely.net>

	Fix missing includes, remove unused variables


2010-05-13  Landry Breuil <landry@rhaalovely.net>

	WIP on OpenBSD support

	- update wrt new Task structure
	- handle zombie processes
	- get full cmdline
	rework

2010-05-12  Leandro Regueiro <leandro.regueiro@gmail.com>

	l10n: Updated Galician (gl) translation to 100%

	New status: 45 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-12  Leandro Regueiro <leandro.regueiro@gmail.com>

	l10n: Updated Galician (gl) translation to 100%

	New status: 45 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-12  Leandro Regueiro <leandro.regueiro@gmail.com>

	l10n: Updated Galician (gl) translation to 93%

	New status: 42 messages complete with 0 fuzzies and 3 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-12  Masato Hashimoto <cabezon.hashimoto@gmail.com>

	l10n: Updated Japanese (ja) translation to 100%

	New status: 45 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-12  Bauzhan Muftakhidinov <baurthefirst@gmail.com>

	l10n: Updated Kazakh (kk) translation to 100%

	New status: 45 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-11  Harald Servat <redcrash@gmail.com>

	l10n: Updated Catalan (Valencian) (ca) translation to 100%

	New status: 45 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-11  Harald Servat <redcrash@gmail.com>

	l10n: Updated Catalan (Valencian) (ca) translation to 97%

	New status: 44 messages complete with 1 fuzzy and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-11  Evaggelos Balaskas <ebalaskas@ebalaskas.gr>

	l10n: Updated Greek (el) translation to 100%

	New status: 45 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-11  Aleksandr Ponomarenko <dwqwt3i02@sneakemail.com>

	l10n: Updated Russian (ru) translation to 95%

	New status: 43 messages complete with 2 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-11  Aleksandr Ponomarenko <dwqwt3i02@sneakemail.com>

	l10n: Updated Russian (ru) translation to 46%

	New status: 21 messages complete with 6 fuzzies and 18 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-11  Xu Meihong <mhuntxu@gmail.com>

	l10n: Updated Chinese (China) (zh_CN) translation to 100%

	New status: 45 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-11  Bauzhan Muftakhidinov <baurthefirst@gmail.com>

	l10n: Updated Kazakh (kk) translation to 100%

	New status: 45 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-11  Bauzhan Muftakhidinov <baurthefirst@gmail.com>

	l10n: Updated Kazakh (kk) translation to 80%

	New status: 36 messages complete with 9 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-11  Mike Massonnet <mmassonnet@gmail.com>

	l10n: Updated French (fr) translation to 100%

	New status: 45 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-11  Mike Massonnet <mmassonnet@xfce.org>

	bump post release


2010-05-11  Mike Massonnet <mmassonnet@xfce.org>

	=== Release 0.5.90 (1.0.0 beta1) ===


2010-05-10  Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>

	l10n: Updated German (de) translation to 44%

	New status: 20 messages complete with 13 fuzzies and 12 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-10  Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>

	l10n: Updated German (de) translation to 44%

	New status: 20 messages complete with 13 fuzzies and 12 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-10  Per Kongstad <p_kongstad@op.pl>

	l10n: Updated Danish (da) translation to 100%

	New status: 45 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-10  Per Kongstad <p_kongstad@op.pl>

	l10n: Updated Danish (da) translation to 97%

	New status: 44 messages complete with 1 fuzzy and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-10  Per Kongstad <p_kongstad@op.pl>

	l10n: Updated Danish (da) translation to 86%

	New status: 39 messages complete with 5 fuzzies and 1 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-05-10  Mike Massonnet <mmassonnet@gmail.com>

	Updated desktop file comment


2010-05-10  Mike Massonnet <mmassonnet@gmail.com>

	Update po files


2010-05-10  Mike Massonnet <mmassonnet@gmail.com>

	Prepare build-env for first beta


2010-05-10  Mike Massonnet <mmassonnet@gmail.com>

	Ask for confirmation to terminate/kill a task


2010-05-10  Mike Massonnet <mmassonnet@gmail.com>

	Display memory values < 1 MiB

	Fixed the MB “typo” and show values for memory in KiB or B if needed.
	The threshold for displaying KiB (< 4 MiB) or B (< 9 KiB) are based on
	impulse.

2010-05-10  Mike Massonnet <mmassonnet@gmail.com>

	Filter tree view with show-all-processes

	Switched the get_hostname() get_owner_uid() public in task-manager.c,
	the owner uid is needed in the tree view class in order to filter out
	user processes from others.

2010-05-10  Mike Massonnet <mmassonnet@gmail.com>

	Renamed Show "system" processes to "all" and added a GtkTreeModelFilter

	<sigh>
	  I started to rename "Show sytem processes" to "Show all processes"
	  and included a GtkTreeModelFilter in between the GtkListStore and
	  GtkTreeView but nooooo... I had to write private code to sort the
	  columns. In fact the GtkTreeViewColumn class assumes the model to
	  be sortable but GtkTreeModelFilter is not, although it provides an
	  accessor function to the underlying model which is.

	  And not to mention that understanding GtkTreeViewColumn is a task
	  on its own! Having the code under the hand is the only exit.
	</sigh>

2010-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Implement new function pid_is_sleeping()

	The function pid_is_sleeping() is implement by the different OS
	implementations and returns TRUE or FALSE. It is used in the tree view
	context menu to show either the signal Stop or Continue.

2010-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Context menu for sending signals and setting priorities

	Base signals and priorities are defined inside the task-manager.h file
	to be reused as general values inside the interface. The different OS
	implementations have to do the conversion from the enumeration to real
	values.

2010-05-08  Mike Massonnet <mmassonnet@gmail.com>

	Several micro fixes on the Linux implementation

	Fix one segfault where some processes like “ls” live very briefly and
	those may be catched up but at the time to read the cmdline the process
	tree already disappeared. Also terminate the cmdline with \0.

	I ran the application on my netbook, which doesn't have /proc/<PID>/comm
	files... The code has been updated to read the short command from the
	buffer.

2010-05-08  Mike Massonnet <mmassonnet@xfce.org>

	Fix for scanf failing at parsing process names with spaces

	The code still uses scanf to parse the stat file, but the process name
	is being cleansed so that it never fails. The name is read from the
	“comm” file. It is still a truncated version of the name, and will
	likely remain for very long like this. There is one solution, but since
	the name isn't currently used inside the interface there is no point
	wasting time.

2010-05-07  Mike Massonnet <mmassonnet@xfce.org>

	Temporary “fix” of a nasty segfault

	On the Linux implementation, when a process name has a space in it the
	sscanf function is unable to parse the line properly. This will have to
	be changed, but in the meantime ignore such processes and avoid the
	segfault, there are going to be Beta releases.

2010-05-07  Mike Massonnet <mmassonnet@xfce.org>

	Enhance performance by updating the GtkTreeModel inside the TaskManager

	The code to update the model has been moved inside the XtmTaskManager
	class and this in order to enhance performance. In fact all the rows of
	the model were udpdated everytime (150~ processes × 9 columns calls on
	gtk_list_store_set per seconds) which represented a big CPU hog. Now
	that the model is being updated within the same class that pulls the
	processes information it is possible to run low check routines and
	update only the rows that have updated information.

	Also big surprise, the new tasks weren't added, well they did but not
	the right data. The pointer's location was copied instead of the
	pointer's content.

2010-05-05  Mike Massonnet <mmassonnet@xfce.org>

	Typo, that's why I hate commit and pushing right behind


2010-05-05  Mike Massonnet <mmassonnet@xfce.org>

	Well s/jiffles/jiffies/

	I was quite sure I had a typo but didn't concider it.

2010-05-05  Mike Massonnet <mmassonnet@xfce.org>

	Calculate CPU usage per process in Linux implementation

	Added a utility function that stores old jiffles inside a hash table in
	order to be able to provide usage values of system and user time in
	percentage.

2010-05-05  Mike Massonnet <mmassonnet@xfce.org>

	Show list of tasks

	Provide the list of tasks through a GArray and parse it in main.c to
	update the GtkTreeModel.

2010-05-02  Mike Massonnet <mmassonnet@xfce.org>

	Add precision to memory/swap and CPU

	Switched all the gushort against gfloat data types for the memory, swap
	and CPU usages. Show them with a precision of two decimals in the GUI.

2010-05-02  Mike Massonnet <mmassonnet@xfce.org>

	Read information from memory/swap and CPU

	This commit is the second of an incremental serie. There will be other
	commits with the information about tasks and the support for BSD and
	Solaris once things are settled.

	The TaskManager class is build with a new source task-manager-linux.c
	that provides functions specific to the Linux implementation. It has
	functions to read the usage of the memory/swap and the CPU.

2010-04-30  Mike Massonnet <mmassonnet@xfce.org>

	Initial TaskManager class and make room for Swap

	Added the TaskManager class to hold system information and tasks.
	Currently it provides username and hostname based on POSIX functions.
	The Swap is now part of the system information and is being displayed in
	the statusbar.

2010-04-29  Mike Massonnet <mmassonnet@xfce.org>

	Rename “Information” to “Preferences”


2010-04-29  Mike Massonnet <mmassonnet@xfce.org>

	Custom statusbar

	The statusbar is created since a separate widget class and has three
	different labels (settable through properties) for CPU, memory and
	number of processes. This makes it more convenient to change one or
	another value and it gives a nicer look.

2010-04-28  Mike Massonnet <mmassonnet@xfce.org>

	Initial commit of new interface

	Changes touching the build:
	- Bumped version to 0.5.0.
	- Removed dependency on Xfce libs (it only depends on GTK+-2.0.)
	- Updated Makefile with new source files.
	- Build ChangeLog through a script (remove it from source tree.)

	More generally speaking, the interface is build on top of a GtkBuilder
	UI definition, with a personal GtkTreeView and a Settings GObject to
	update the information shown on the interface on changes. All the code
	is being written with GObjects which will make it a lot easier to
	separate GUI code and system code.

2010-04-06  A S  Alam <apreet.alam@gmail.com>

	l10n: Updated Panjabi (Punjabi) (pa) translation to 100%

	New status: 31 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-04-04  A S  Alam <apreet.alam@gmail.com>

	l10n: Punjabi Translation Added

	New status: 29 messages complete with 0 fuzzies and 2 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-03-28  Fabian Nowak <timystery@arcor.de>

	l10n: Updated German (de) translation to 100%

	New status: 31 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-03-23  Bauzhan Muftakhidinov <baurthefirst@gmail.com>

	l10n: Updated Kazakh (kk) translation to 100%

	New status: 31 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-03-16  Bauzhan Muftakhidinov <baurthefirst@gmail.com>

	l10n: New translation into Kazakh

	New status: 16 messages complete with 0 fuzzies and 15 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-03-13  Akila Wajirasena <akila.wajirasena@gmail.com>

	l10n: Updated Sinhala (si) translation to 83%

	New status: 26 messages complete with 5 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-03-13  Akila Wajirasena <akila.wajirasena@gmail.com>

	l10n: Updated Sinhala (si) translation to 67%

	New status: 21 messages complete with 3 fuzzies and 7 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-03-13  Danishka Navin <danishka@gmail.com>

	l10n: Added Sinhala (si) translation

	New status: 4 messages complete with 0 fuzzies and 27 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-03-12  Andres Kovtunos <kovtunos@yandex.ru>

	l10n: Updated Russian (ru) translation to 100%

	New status: 31 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-02-05  Gabor Kelemen <kelemeng@gnome.hu>

	l10n: Updated Hungarian (hu) translation to 100%

	New status: 31 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2010-01-14  Timo Verbeek <timoverbeek10@hotmail.com>

	l10n: Updated Dutch (Flemish) (nl) translation to 100%

	New status: 31 messages complete with 0 fuzzies and 0 untranslated.

	Transmitted-via: Transifex (translations.xfce.org).

2009-12-16  Daniel Nylander <po@danielnylander.se>

	l10n: Updates to Swedish (sv) translation

	Transmitted-via: Transifex (translations.xfce.org)

2009-11-21  Cristian Marchi <cri.penta@gmail.com>

	l10n: Updates to Italian (it) translation

	Transmitted-via: Transifex (translations.xfce.org)

2009-10-17  Vlad Vasilev <lortwer@gmail.com>

	l10n: Updates to Russian (ru) translation

	Transmitted-via: Transifex (translations.xfce.org)

2009-10-17  Vlad Vasilev <lortwer@gmail.com>

	l10n: Updates to Russian (ru) translation

	Transmitted-via: Transifex (translations.xfce.org)

2009-10-16  Rihards Prieditis <rprieditis@gmail.com>

	l10n: Updates to Latvian (lv) translation

	Transmitted-via: Transifex (translations.xfce.org)

2009-10-01  Leandro Regueiro <leandro.regueiro@gmail.com>

	l10n: Updates to Galician (gl) translation

	Transmitted-via: Transifex (translations.xfce.org)

2009-09-11  Mike Massonnet <mike@debian.(none)>

	Small factorize on cmdline reading


2009-09-09  Mike Massonnet <mike@debian.(none)>

	Show command line arguments in Linux


2009-09-08  Mike Massonnet <mike@debian.(none)>

	Update Solaris patch from Peter Tribble

	Check for the lib kstat in the autoconf script.
	Build with the correct file for Solaris in the automake script.
	Fixed the xfce_err messages and switched to g_snprintf for the command strings.
	Updated the TODO file.

2009-09-03  Mike Massonnet <mmassonnet@xfce.org>

	Add support for Solaris from Peter Tribble


2009-08-18  Mike Massonnet <mmassonnet@gmail.com>

	Update autotools build

	Drop the po/LINGUAS file and substitute them directly inside the
	configure script instead.
	Update the version tag svn=>git and pass the project URL.
	Add a module.xml file for cgit.

2009-08-18  Jeff Bailes <thepizzaking@gmail.com>

	l10n: Updates to English (United Kingdom) (en_GB) translation

	Transmitted-via: Transifex (translations.xfce.org)

2009-08-16  Auke Kok <sofar@foo-projects.org>

	l10n: Updates to Dutch (Flemish) (nl) translation

	Transmitted-via: Transifex (translations.xfce.org)

2009-08-08  Mike Massonnet <mmassonnet@xfce.org>

	update goodies translation

	(Old svn revision: 7896)

2009-07-24  Gabor Kelemen <kelemeng@gnome.hu>

2009-07-24  Gabor Kelemen  <kelemeng@gnome.hu>

		* hu.po: Translation reworked.

	(Old svn revision: 7815)

2009-06-28  Mike Massonnet <mmassonnet@xfce.org>

	update goodies translation

	(Old svn revision: 7639)

2009-06-09  Mike Massonnet <mmassonnet@xfce.org>

	Drop svn:executable bit from po files

	(Old svn revision: 7518)

2009-05-29  Mike Massonnet <mmassonnet@xfce.org>

	update goodies translations

	(Old svn revision: 7436)

2009-04-16  Mike Massonnet <mmassonnet@xfce.org>

	goodies translation update

	(Old svn revision: 7213)

2009-03-19  Masato Hashimoto <cabezon.hashimoto@gmail.com>

		* ja.po: Japanese translation update (Masato Hashimoto) 	* ja.po: Japanese translation update (Masato Hashimoto) 	* ja.po: Japanese translation update (Masato Hashimoto) 	* ja.po: Japanese translation update (Masato Hashimoto) 	* ja.po: Japanese translation update (Masato Hashimoto) 	* ja.po: Japanese translation update (Masato Hashimoto) 	* ja.po: Japanese translation update (Masato Hashimoto) 	* ja.po: Japanese translation update (Masato Hashimoto) 	* ja.po: Japanese translation update (Masato Hashimoto) 	* ja.po: Japanese translation update (Masato Hashimoto) 	* ja.po: Japanese translation update (Masato Hashimoto) 	* ja.po: Japanese translation update (Masato Hashimoto)

	(Old svn revision: 6949)

2009-03-14  Maximilian Schleiss <maxschleiss@solnet.ch>

	Translations updates - es fr gl it tr

	(Old svn revision: 6902)

2009-03-08  Piotr Sokól <piotr.sokol@10g.pl>

	Updated Polish translations

	(Old svn revision: 6868)

2009-03-05  Mike Massonnet <mmassonnet@xfce.org>

	Fix the renaming of the pt nb files -- thanks to jerome who noticed this problem

	(Old svn revision: 6850)

2009-03-05  Mike Massonnet <mmassonnet@xfce.org>

	Renamed pt_PT to pt and nb_NO to nb (bug #4574)

	(Old svn revision: 6848)

2009-03-01  Maximilian Schleiss <maxschleiss@solnet.ch>

	Translations updates - es pl uk

	(Old svn revision: 6826)

2009-02-22  Mike Massonnet <mmassonnet@xfce.org>

	Update translations -- Remove executable property on all po files (only da.po actuall)

	(Old svn revision: 6759)

2009-02-08  Maximilian Schleiss <maxschleiss@solnet.ch>

	Translations updates - fr id it ja nb pl

	(Old svn revision: 6659)

2009-02-01  Michal Varady <miko.vaji@gmail.com>

	Czech translation fixed

	(Old svn revision: 6626)

2008-12-25  Maximilian Schleiss <maxschleiss@solnet.ch>

	Translations updates - es gl id ja uk

	(Old svn revision: 6367)

2008-12-20  Alexander Toresson <alexander.toresson@gmail.com>

	xfce4-taskmanager/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) xfce4-time-out-plugin/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) xfce4-wavelan-plugin/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) xfce4-radio-plugin/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) xfce4-datetime-plugin/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) xfce4-cpufreq-plugin/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) xfburn/trunk/po: 	* sv.po: Swedish translation update (Daniel Nylander) xfce4-xkb-plugin/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) xfce4-smartbookmark-plugin/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) xfce4-smartpm-plugin/trunk/po: 	* sv.po: Swedish translation update (Daniel Nylander) thunar-media-tags-plugin/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) xfvnc/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) xfce4-verve-plugin/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) xfce4-xfapplet-plugin/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) thunar-archive-plugin/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) xfce4-websearch-plugin/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) xfce4-screenshooter-plugin/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) xfce4-teatime-plugin/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) xfce4-rss-plugin/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander) xfmpc/trunk/po: 	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander)

	(Old svn revision: 6343)

2008-12-13  Maximilian Schleiss <maxschleiss@solnet.ch>

	Translations updates - ja uk zh_CN

	(Old svn revision: 6298)

2008-12-07  Piarres Beobide <pi@beobide.net>

	Goodies Basque translation update

	(Old svn revision: 6292)

2008-11-17  Eren Turkay <turkay.eren@gmail.com>

	Add/update Turkish translation files thanks to the Turkish translation team! (Gökmen Görgen, Samed Beyribey, Özgür Kuru, Utku Aydın)

	(Old svn revision: 6129)

2008-11-16  Maximilian Schleiss <maxschleiss@solnet.ch>

	Translations updates and additions - ca, nb_NO, uk, zh_CN

	(Old svn revision: 6128)

2008-11-12  Piarres Beobide <pi@beobide.net>

	Some goodies Basque translation update

	(Old svn revision: 6068)

2008-11-09  Maximilian Schleiss <maxschleiss@solnet.ch>

	Translations updates for a lot of languages in a lot of packages

	(Old svn revision: 6041)

2008-11-08  Alexander Nyakhaychyk <nyakhaychyk@gmail.com>

		* Added Belarusian translation

	(Old svn revision: 6024)

2008-11-08  Alexander Nyakhaychyk <nyakhaychyk@gmail.com>

		* Added Belarusian translation

	(Old svn revision: 6023)

2008-11-02  Maximilian Schleiss <maxschleiss@solnet.ch>

	Translations updates and additions - de ku nl

	(Old svn revision: 5928)

2008-10-20  Maximilian Schleiss <maxschleiss@solnet.ch>

	Translation udpates for German and Japanese

	(Old svn revision: 5729)

2008-10-10  Maximilian Schleiss <maxschleiss@solnet.ch>

	Translations updates and added for the sensors, gsynaptics, xfmedia, xfmpc, smartbookmark, timer, xkb and taskmanager plugins

	(Old svn revision: 5552)

2008-10-02  Lars Nielsen <lars@mit-web.dk>

		* da.po: Danish translation update

	(Old svn revision: 5504)

2008-09-21  Mike Massonnet <mmassonnet@xfce.org>

	Fix build for libtool 2.2 (or at least for ArchLinux)

	(Old svn revision: 5430)

2008-09-15  Mike Massonnet <mmassonnet@xfce.org>

	prepare 0.4.1 release

	(Old svn revision: 5416)

2008-09-11  Piarres Beobide <pi@beobide.net>

	BAsque translation update

	(Old svn revision: 5394)

2008-09-11  Jari Rahkonen <jari.rahkonen@pp1.inet.fi>

	Update Finnish translation

	(Old svn revision: 5390)

2008-09-08  Maximilian Schleiss <maxschleiss@solnet.ch>

	Translations update for id and fr

	(Old svn revision: 5375)

2008-09-08  Og Maciel <ogmaciel@gnome.org>

	Updated European Portuguese translation.

	(Old svn revision: 5373)

2008-09-01  SZERVÁC Attila <sas@321.hu>

	[intl:hu] little updates

	(Old svn revision: 5334)

2008-08-25  Michal Varady <miko.vaji@gmail.com>

	Updated Czech translations

	(Old svn revision: 5300)

2008-08-09  Stavros Giannouris <stavrosg2002@freemail.gr>

	Greek translation update for xfce4-taskmanager

	(Old svn revision: 5213)

2008-08-03  Mike Massonnet <mmassonnet@xfce.org>

	Fix int compare function; Drop useless cast which makes the CPU usage per process worky again

	(Old svn revision: 5192)

2008-08-03  Mike Massonnet <mmassonnet@xfce.org>

	New function to get the full and short cmdline (Linux)

	(Old svn revision: 5191)

2008-08-02  Mike Massonnet <mmassonnet@xfce.org>

	Quick clean up, update TODO, and display memory less than 1 MB

	(Old svn revision: 5187)

2008-07-31  Maxim Dziumanenko <mvd@mylinux.com.ua>

	Maxim Dziumanenko <dziumanenko@gmail.com>

	* Updated Ukrainian translation.



	(Old svn revision: 5183)

2008-07-30  Mike Massonnet <mmassonnet@xfce.org>

	update-credits

	(Old svn revision: 5180)

2008-07-30  Mike Massonnet <mmassonnet@xfce.org>

	make update-po

	(Old svn revision: 5179)

2008-07-30  Mike Massonnet <mmassonnet@xfce.org>

	Apply patch for BSD support from Landry Breuil

	(Old svn revision: 5178)

2008-07-26  Og Maciel <ogmaciel@gnome.org>

	Updated translation message template and catalogs; updated Brazilian Portuguese translations

	(Old svn revision: 5163)

2008-07-26  Og Maciel <ogmaciel@gnome.org>

	Updated Brazilian Portuguese translation.

	(Old svn revision: 5160)

2008-07-16  Mohamed Magdy <mohamed.m.k@gmail.com>

	Update Arabic translations

	(Old svn revision: 5118)

2008-07-15  Mohamed Magdy <mohamed.m.k@gmail.com>

	Update Arabic translations

	(Old svn revision: 5093)

2008-07-14  Maximilian Schleiss <maxschleiss@solnet.ch>

	Translations added and updated for most goodies (gl;pt_PT;zh_CN)

	(Old svn revision: 5072)

2008-06-26  Maximilian Schleiss <maxschleiss@solnet.ch>

	Translations added and updated for most goodies (gl)

	(Old svn revision: 4998)

2008-06-25  Maximilian Schleiss <maxschleiss@solnet.ch>

	Translations added for most goodies (id)

	(Old svn revision: 4996)

2008-05-27  Mike Massonnet <mmassonnet@xfce.org>

	update-po

	(Old svn revision: 4846)

2008-05-18  Mike Massonnet <mmassonnet@xfce.org>

	=== Release 0.4.0 ===; update po/ChangeLog

	(Old svn revision: 4825)

2008-05-18  Mike Massonnet <mmassonnet@xfce.org>

	Use portable function to get the pagesize; Use a bigger "Information" icon in the menu * src/xfce-taskmanager-linux.c,   src/xfce-taskmanager-linux.h,   src/interface.c(fill_list_item):   - Use portale function to get the pagesize, and fallback to 4K * src/interface.c(create_infomenu):   - Use a bigger "Information" icon in the menu

	(Old svn revision: 4824)

2008-05-17  Michal Varady <miko.vaji@gmail.com>

	updated Czech translation

	(Old svn revision: 4811)

2008-05-16  Mike Massonnet <mmassonnet@xfce.org>

	New information menu to select the columns to display;  minor clean up

	(Old svn revision: 4806)

2008-05-16  Mike Massonnet <mmassonnet@xfce.org>

	Minor changes: don't focus button on click, right align priority column

	(Old svn revision: 4805)

2008-05-14  Piarres Beobide <pi@beobide.net>

	xfce4-taskmanager basque translation update

	(Old svn revision: 4796)

2008-05-13  Mike Massonnet <mmassonnet@xfce.org>

	update en_GB translations

	(Old svn revision: 4794)

2008-05-12  SZERVÁC Attila <sas@321.hu>

	little Hungarian updates

	(Old svn revision: 4788)

2008-05-11  Mike Massonnet <mmassonnet@xfce.org>

	update japanese translation

	(Old svn revision: 4781)

2008-05-10  Mike Massonnet <mmassonnet@xfce.org>

	prepare release 0.4.0

	(Old svn revision: 4778)

2008-05-10  Mike Massonnet <mmassonnet@xfce.org>

	Set window icon to "xfce-system" and modify the about dialog

	(Old svn revision: 4777)

2008-05-10  Mike Massonnet <mmassonnet@xfce.org>

	Redo what is displayed in More info (PPID, STATE, VM-size), and keep RSS in normal info

	(Old svn revision: 4776)

2008-05-10  Jari Rahkonen <jari.rahkonen@pp1.inet.fi>

	Updated Finnish translation

	(Old svn revision: 4775)

2008-05-10  Mike Massonnet <mmassonnet@xfce.org>

	update german translation

	(Old svn revision: 4771)

2008-05-10  Stavros Giannouris <stavrosg2002@freemail.gr>

	Greek translation updates by me and Evaggelos Balaskas

	(Old svn revision: 4764)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Set buffer_status to 1024 (fixes issues with 64bit archs); use convenience macro GINT_TO_POINTER to pass to user_data

	(Old svn revision: 4763)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	nl.po: fix typo

	(Old svn revision: 4762)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Update Dutch translation

	(Old svn revision: 4761)

2008-05-09  Og Maciel <ogmaciel@gnome.org>

	Updated Brazilian Portuguese translation.

	(Old svn revision: 4760)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Properly refresh the CPU usage of a process

	(Old svn revision: 4759)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Update strings and make update-po

	(Old svn revision: 4758)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	update changelog

	(Old svn revision: 4757)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Properly display the memory usage and fix signal connected on the show_cached_as_free menu item

	(Old svn revision: 4756)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Save sort column/type in config

	(Old svn revision: 4755)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Add credits and update ChangeLog

	(Old svn revision: 4754)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Set command column expand and ellipsize

	(Old svn revision: 4753)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Switch lines time=$new_time; old_time=time

	(Old svn revision: 4752)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Forgot functions.c to replace task.size against task.vsize

	(Old svn revision: 4751)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Fix the event of the mainmenu to display on keyboard and mouse

	(Old svn revision: 4750)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Properly position the main menu

	(Old svn revision: 4749)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Fix coding style

	(Old svn revision: 4748)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Fix strings

	(Old svn revision: 4747)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Properly save window size on quit

	(Old svn revision: 4746)

2008-05-09  Mike Massonnet <mmassonnet@xfce.org>

	Right align numerical columns

	(Old svn revision: 4745)

2008-05-08  Mike Massonnet <mmassonnet@xfce.org>

	Correctly display the memory size of the processes

	(Old svn revision: 4744)

2008-05-05  Og Maciel <ogmaciel@gnome.org>

	Updated Brazilian Portuguese translation.

	(Old svn revision: 4738)

2008-05-05  Mike Massonnet <mmassonnet@xfce.org>

	make update-po

	(Old svn revision: 4732)

2008-05-05  Mike Massonnet <mmassonnet@xfce.org>

	Delete automated files

	(Old svn revision: 4731)

2008-05-05  Mike Massonnet <mmassonnet@xfce.org>

	Remove useless gettext() and properly align menu items on the right

	(Old svn revision: 4730)

2008-04-24  Stavros Giannouris <stavrosg2002@freemail.gr>

	Added xfce4-taskmanager Greek translation by Evaggelos Balaskas. Added el in LINGUAS for the screenshooter plugin (yes, getting old, I know...)

	(Old svn revision: 4671)

2008-04-10  Brian Tarricone <brian@tarricone.org>

	fix make distcheck (for snapshots)

	(Old svn revision: 4532)

2008-03-18  Mike Massonnet <mmassonnet@xfce.org>

	Update Portuguese translation

	(Old svn revision: 4067)

2008-02-29  Johannes Zellner <webmaster@nebulon.de>

	- added a simple .desktop file (I don't have a icon for the application :( )

	(Old svn revision: 4008)

2008-02-10  Johannes Zellner <webmaster@nebulon.de>

	- initial priority setting - few bugfixes

	(Old svn revision: 3940)

2007-12-19  Maximilian Schleiss <maxschleiss@solnet.ch>

	German translation updates in trunk

	(Old svn revision: 3731)

2007-11-19  Maximilian Schleiss <maxschleiss@solnet.ch>

	Latvian translations added to most goodies.

	(Old svn revision: 3611)

2007-11-15  Mike Massonnet <mmassonnet@xfce.org>

	Fix changelogs for updated ur.po files, and add thunar-archive-plugin

	(Old svn revision: 3591)

2007-11-15  Mike Massonnet <mmassonnet@xfce.org>

	Rename pk.po to ur.po

	(Old svn revision: 3590)

2007-11-03  Maximilian Schleiss <maxschleiss@solnet.ch>

	Italian updates and new translations added to some goodies.

	(Old svn revision: 3500)

2007-10-28  Mike Massonnet <mmassonnet@xfce.org>

	Add new translation by محمد علي المكي <makki.ma@gmail.com>

	(Old svn revision: 3466)

2007-10-24  Brian Tarricone <brian@tarricone.org>

	remove trailing parens on AC_INIT version info to work around bug in intltool 0.35.x and 0.36.x

	(Old svn revision: 3434)

2007-09-03  Og Maciel <ogmaciel@gnome.org>

	Updated translations for Brazilian Portuguese by Pablo Galletti Vieira.

	(Old svn revision: 3128)

2007-07-08  Maximilian Schleiss <maxschleiss@solnet.ch>

	Last bunch of pt_PT and nb_NO files to be added.

	(Old svn revision: 2900)

2007-07-08  Maximilian Schleiss <maxschleiss@solnet.ch>

	* nb_NO.po: Norwegian Bokmal translations added * pt_PT.po: European Portuguese translations added

	(Old svn revision: 2898)

2007-06-20  Maximilian Schleiss <maxschleiss@solnet.ch>

	* en_GB.po: British English translation for the mount plugin package updated * pt_PT.po: European Portuguese translation update

	(Old svn revision: 2843)

2007-04-03  Maximilian Schleiss <maxschleiss@solnet.ch>

	* pl.po: Small fix to the taskmanager Polish translation.

	(Old svn revision: 2658)

2007-03-31  Pau Rullan Ferragut <paurullan@bulma.net>

	forgot to add in LINGUAS en_GB

	(Old svn revision: 2640)

2007-03-31  Pau Rullan Ferragut <paurullan@bulma.net>

	i18n british translation

	(Old svn revision: 2612)

2007-02-02  Maximilian Schleiss <maxschleiss@solnet.ch>

	Added the Albanian translations by Besnik Bleta for all the goodies.

	(Old svn revision: 2480)

2007-01-20  Nick Schermer <nick@xfce.org>

	Fix Id

	(Old svn revision: 2445)

2007-01-20  Jari Rahkonen <jari.rahkonen@pp1.inet.fi>

	Updated Finnish translations

	(Old svn revision: 2443)

2007-01-19  SZERVÁC Attila <sas@321.hu>

	xkb & taskman updated

	(Old svn revision: 2434)

2007-01-18  Maximilian Schleiss <maxschleiss@solnet.ch>

	Updated the French, German and Polish translations. Added the Polish translation to the thunar-volman package.

	(Old svn revision: 2425)

2007-01-17  Nick Schermer <nick@xfce.org>

	Fix version

	(Old svn revision: 2404)

2007-01-17  Nick Schermer <nick@xfce.org>

	* Bump version for release

	(Old svn revision: 2400)

2007-01-16  Piarres Beobide <pi@beobide.net>

	Basque translation update

	(Old svn revision: 2374)

2007-01-14  Michal Varady <miko.vaji@gmail.com>

	Updated Czech translations for cpugraph and taskmanager plugins

	(Old svn revision: 2361)

2007-01-13  Maximilian Schleiss <maxschleiss@solnet.ch>

	Updated the French translation of the taskmanager plugin package

	(Old svn revision: 2360)

2007-01-13  Nick Schermer <nick@xfce.org>

	Change version number and svn revision support in configure.in.in

	(Old svn revision: 2351)

2007-01-13  Nick Schermer <nick@xfce.org>

	Apply patch from Álvaro Lopes to fix CPU usage per task, with more then 1 CPU. Added a THANKS file. Remove some svn executable properties and add svn keywords. Added LINGUAS support and removed the configure.ac > configure.in.in file. Improved the configure.in.in and Makefiles.

	(Old svn revision: 2350)

2007-01-12  Nick Schermer <nick@xfce.org>

	Apply patch from bug 2714. Fix all typos and compiler warnings.

	(Old svn revision: 2347)

2007-01-08  Stephan Arts <stephan@xfce.org>

	initial dutch translation

	(Old svn revision: 2317)

2006-12-17  SZERVÁC Attila <sas@321.hu>

	little header fixes

	(Old svn revision: 2248)

2006-11-26  SZERVÁC Attila <sas@321.hu>

	notes, taskman updated

	(Old svn revision: 2182)

2006-11-11  Maximilian Schleiss <maxschleiss@solnet.ch>

	Updated the German translation for the xfce-taskmanager package by Enrico tröger

	(Old svn revision: 2166)

2006-10-22  Adriano Winter Bess <awbess@gmail.com>

	Updated brazilian portuguese translations.

	(Old svn revision: 2120)

2006-09-18  Pau Rullan Ferragut <paurullan@bulma.net>

	taskmanager, add catalan translation

	(Old svn revision: 2052)

2006-09-17  Jean-François Wauthy <pollux@xfce.org>

	Update French and Polish translations

	(Old svn revision: 2039)

2006-09-17  Jean-François Wauthy <pollux@xfce.org>

	updated French and Czech translations

	(Old svn revision: 2038)

2006-09-15  Johannes Zellner <webmaster@nebulon.de>

	* applied patch from Enrico Tröger, adding tooltips to the cpu/mem usage-bars

	Thank You ! :-)



	(Old svn revision: 2034)

2006-09-13  Jari Rahkonen <jari.rahkonen@pp1.inet.fi>

	Updated Finnish translations.

	(Old svn revision: 2030)

2006-09-12  Piarres Beobide <pi@beobide.net>

	Basque translation update

	(Old svn revision: 2026)

2006-09-12  SZERVÁC Attila <sas@321.hu>

	hu trunk: updates

	(Old svn revision: 2022)

2006-09-10  Nick Schermer <nick@xfce.org>

	* Regenerated all *.po files

	(Old svn revision: 2006)

2006-09-10  Nick Schermer <nick@xfce.org>

	* Created new pot files for all goodies

	(Old svn revision: 2005)

2006-09-10  Nick Schermer <nick@xfce.org>

	Big cleanup of the goodies svn. The following files are removed:    .cvsignore Makefile.in aclocal.m4 compile config.guess config.h.in    config.sub configure depcomp install-sh intltool-*.in ltcf-c.sh    ltmain.sh missing  mkinstalldirs Makefile.in.in *.gmo So keep it clean from now on ^_^.

	(Old svn revision: 2002)

2006-09-06  SZERVÁC Attila <sas@321.hu>

	hu trunk: n-d added, taskman updated

	(Old svn revision: 1987)

2006-09-06  Hydonsingore Cia <hydonsingore@educities.edu.tw>

	Updated traditional Chinese translations.

	(Old svn revision: 1981)

2006-09-03  Johannes Zellner <webmaster@nebulon.de>

	* removed a senseless printf :-)

	(Old svn revision: 1957)

2006-09-02  Johannes Zellner <webmaster@nebulon.de>

	* added progessbars for cpu and memory usage

	(Old svn revision: 1935)

2006-08-27  Jean-François Wauthy <pollux@xfce.org>

	Add/Update Czech translations

	(Old svn revision: 1927)

2006-08-23  Johannes Zellner <webmaster@nebulon.de>

	* fixed a crash * fixed the vm-display * added a TODO-list

	(Old svn revision: 1919)

2006-08-23  Johannes Zellner <webmaster@nebulon.de>

	* remove old files * remove custom signal entries

	(Old svn revision: 1916)

2006-08-23  Johannes Zellner <webmaster@nebulon.de>

	* some files renamed * few small security changes

	(Old svn revision: 1915)

2006-08-20  Jean-François Wauthy <pollux@xfce.org>

	add Galician translations

	(Old svn revision: 1914)

2006-08-15  Johannes Zellner <webmaster@nebulon.de>

	(Old svn revision: 1902)


2006-08-15  Johannes Zellner <webmaster@nebulon.de>

	(Old svn revision: 1901)


2006-08-14  Johannes Zellner <webmaster@nebulon.de>

	* added bz2 for 'make dist'

	(Old svn revision: 1899)

2006-07-28  Hydonsingore Cia <hydonsingore@educities.edu.tw>

	Add trational Chinese po files from Cosmo Chene <cosmolax@gmail.com>

	(Old svn revision: 1813)

2006-07-09  Johannes Zellner <webmaster@nebulon.de>

	- now the linux-parts are running very save - updated the website in the "about"-dialog

	(Old svn revision: 1477)

2006-07-07  SZERVÁC Attila <sas@321.hu>

	hu: mount, taskman updated, THX 2 kelemeng

	(Old svn revision: 1475)

2006-06-28  Johannes Zellner <webmaster@nebulon.de>

	 * new design with processinfo-grabbing  * config-file support

	(Old svn revision: 1462)

2006-05-19  Johannes Zellner <webmaster@nebulon.de>

	cleanups

	(Old svn revision: 1418)

2006-05-08  Johannes Zellner <webmaster@nebulon.de>

	- moved some functions to where they belong to - renamed many things. - code-cleanups

	(Old svn revision: 1386)

2006-04-29  Johannes Zellner <webmaster@nebulon.de>

	Now using /proc/<pid>/stat

	(Old svn revision: 1368)

2006-04-09  Daichi Kawahata <daichi.k@aioros.ocn.ne.jp>

	Added Russian translations by Andrey Fedoseev <andrey.fedoseev@gmail.com>.

	(Old svn revision: 1323)

2006-04-08  Daichi Kawahata <daichi.k@aioros.ocn.ne.jp>

	Added/Updated Polish translations by Piotr Malinski <admin@rk.edu.pl>.

	(Old svn revision: 1306)

2006-04-01  Daichi Kawahata <daichi.k@aioros.ocn.ne.jp>

	Updated.

	(Old svn revision: 1269)

2006-04-01  Daichi Kawahata <daichi.k@aioros.ocn.ne.jp>

	Added Japanese translations.

	(Old svn revision: 1268)

2006-04-01  Daichi Kawahata <daichi.k@aioros.ocn.ne.jp>

	Removed auto-generated file.

	(Old svn revision: 1267)

2006-03-29  Johannes Zellner <webmaster@nebulon.de>

	- Fixed bug in functions.c - switched from /proc/<pid>/status to /proc/<pid>/stat - removed the SleepAVG column

	(Old svn revision: 1264)

2006-03-28  Johannes Zellner <webmaster@nebulon.de>

	Hey I'm active! :-) This is the initial commit for the 0.4.0 xfce4-taskmanager.

	New Things:
	  - now you have a configuration-file
	  - views are saved and restored
	  - task SleepAverage display
	  - few bugfixes



	(Old svn revision: 1262)

2006-02-23  Daichi Kawahata <daichi.k@aioros.ocn.ne.jp>

	Added Vietnamese translations by Phan Vinh Thinh <teppi@vnlinux.org>.

	(Old svn revision: 1120)

2006-02-22  Daichi Kawahata <daichi.k@aioros.ocn.ne.jp>

	Updated.

	(Old svn revision: 1107)

2006-02-18  Daichi Kawahata <daichi.k@aioros.ocn.ne.jp>

	Added `hu' to the XDT_I18N()/BM_I18N().

	(Old svn revision: 1066)

2006-02-15  Daichi Kawahata <daichi.k@aioros.ocn.ne.jp>

	Added Basque translations by Piarres Beobide <pi@beobide.net>.

	(Old svn revision: 1059)

2006-02-11  SZERVÁC Attila <sas@321.hu>

	Add Hungarian Translations

	(Old svn revision: 1040)

2006-01-04  Daichi Kawahata <daichi.k@aioros.ocn.ne.jp>

	Added executable attribute.

	(Old svn revision: 925)

2006-01-04  Daichi Kawahata <daichi.k@aioros.ocn.ne.jp>

	Updated and fixed i18n stuffs.

	(Old svn revision: 924)

2006-01-04  Daichi Kawahata <daichi.k@aioros.ocn.ne.jp>

	Removed unnecessary files.

	(Old svn revision: 923)

2005-11-09  Johannes Zellner <webmaster@nebulon.de>

	(Old svn revision: 866)


2005-10-09  Johannes Zellner <webmaster@nebulon.de>

	add french translation

	(Old svn revision: 828)

2005-10-09  Johannes Zellner <webmaster@nebulon.de>

	replace some old files

	(Old svn revision: 827)

2005-10-09  Johannes Zellner <webmaster@nebulon.de>

	(Old svn revision: 826)


2005-09-07  Johannes Zellner <webmaster@nebulon.de>

	(Old svn revision: 777)


2005-09-07  Johannes Zellner <webmaster@nebulon.de>

	(Old svn revision: 776)


2005-09-07  Johannes Zellner <webmaster@nebulon.de>

	(Old svn revision: 775)


2005-02-11  Johannes Zellner <webmaster@nebulon.de>

	*** empty log message ***

	(Old svn revision: 535)

2005-02-01  Johannes Zellner <webmaster@nebulon.de>

	*** empty log message ***

	(Old svn revision: 534)

2005-02-01  Johannes Zellner <webmaster@nebulon.de>

	*** empty log message ***

	(Old svn revision: 533)

2005-02-01  Johannes Zellner <webmaster@nebulon.de>

	*** empty log message ***

	(Old svn revision: 532)

2005-02-01  Johannes Zellner <webmaster@nebulon.de>

	*** empty log message ***

	(Old svn revision: 531)

2005-01-31  Johannes Zellner <webmaster@nebulon.de>

	*** empty log message ***

	(Old svn revision: 530)

2005-01-31  Johannes Zellner <webmaster@nebulon.de>

	*** empty log message ***

	(Old svn revision: 529)

2005-01-31  Johannes Zellner <webmaster@nebulon.de>

	*** empty log message ***

	(Old svn revision: 528)

2005-01-31  Johannes Zellner <webmaster@nebulon.de>

	*** empty log message ***

	(Old svn revision: 527)

2005-01-31  Johannes Zellner <webmaster@nebulon.de>

	*** empty log message ***

	(Old svn revision: 526)

2005-01-26  Johannes Zellner <webmaster@nebulon.de>

	*** empty log message ***

	(Old svn revision: 525)

2005-01-26  Johannes Zellner <webmaster@nebulon.de>

	*** empty log message ***

	(Old svn revision: 524)

2005-01-26  Johannes Zellner <webmaster@nebulon.de>

	Initial revision

	(Old svn revision: 520)

2005-01-26  Unknown Author <xfce4-dev@xfce.org>

	New repository initialized by cvs2svn.

	(Old svn revision: 519)

